> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate Age Banded Table

> Calculates a sample age-banded table for a given 21-year-old rate. Many small group medical plans follow a similar age curve. Responds with a full list of premiums that can be passed to the /plans/{public_id}/premiums endpoint.



## OpenAPI

````yaml post /premiums/age_banded_table
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /premiums/age_banded_table:
    post:
      tags:
        - premiums
      description: >-
        Calculates a sample age-banded table for a given 21-year-old rate. Many
        small group medical plans follow a similar age curve. Responds with a
        full list of premiums that can be passed to the
        /plans/{public_id}/premiums endpoint.
      operationId: premiums_age_banded_table
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgeBandedTableRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlanPremiums'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    AgeBandedTableRequest:
      type: object
      properties:
        amount:
          description: The premium amount for a 21-year-old.
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
        state:
          $ref: '#/components/schemas/StateEnum'
      required:
        - amount
        - state
    PlanPremiums:
      type: array
      items:
        $ref: '#/components/schemas/PlanPremium'
    StateEnum:
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      type: string
      description: |-
        * `AL` - AL
        * `AK` - AK
        * `AZ` - AZ
        * `AR` - AR
        * `CA` - CA
        * `CO` - CO
        * `CT` - CT
        * `DE` - DE
        * `DC` - DC
        * `FL` - FL
        * `GA` - GA
        * `HI` - HI
        * `ID` - ID
        * `IL` - IL
        * `IN` - IN
        * `IA` - IA
        * `KS` - KS
        * `KY` - KY
        * `LA` - LA
        * `ME` - ME
        * `MD` - MD
        * `MA` - MA
        * `MI` - MI
        * `MN` - MN
        * `MS` - MS
        * `MO` - MO
        * `MT` - MT
        * `NE` - NE
        * `NV` - NV
        * `NH` - NH
        * `NJ` - NJ
        * `NM` - NM
        * `NY` - NY
        * `NC` - NC
        * `ND` - ND
        * `OH` - OH
        * `OK` - OK
        * `OR` - OR
        * `PA` - PA
        * `RI` - RI
        * `SC` - SC
        * `SD` - SD
        * `TN` - TN
        * `TX` - TX
        * `UT` - UT
        * `VT` - VT
        * `VA` - VA
        * `WA` - WA
        * `WV` - WV
        * `WI` - WI
        * `WY` - WY
    PlanPremium:
      type: object
      properties:
        coverage_type:
          description: >-
            The coverage type to which this premium applies. For example
            'member' to define a rate for a member-only enrollment.
          type: string
          nullable: true
          enum:
            - member
            - member_spouse
            - member_child
            - member_children
            - member_family
        tobacco_usage:
          description: >-
            Whether this rate depends on tobacco usage. Leave null when not
            applicable.
          type: boolean
          nullable: true
        relationship_category:
          description: >-
            The relationship category to which this premium applies. For example
            'member' to define a rate for a member and 'child' to define a rate
            for a child.
          type: string
          nullable: true
          enum:
            - member
            - spouse
            - child
        age:
          description: >-
            The age to which this premium applies. For example '18' to define a
            rate for a 18-year-old.
          type: string
          format: decimal
          pattern: ^\d{0,2}$
          nullable: true
        amount:
          description: >-
            The amount of the premium. For example '100' to define a rate of
            $100.
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
      required:
        - amount
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````